package com.xkrs.service;

import com.xkrs.dao.FirePointDao;
import com.xkrs.model.entity.FirePointEntity;
import com.xkrs.model.qo.FirePointQo;

import java.util.List;

/**
 * @author XinYi Song
 */
public interface FirePointService {

    /**
     * 添加火点信息
     * @param firePointQo
     * @return
     */
    FirePointEntity insertFirePoint(FirePointQo firePointQo);

    /**
     * 查询今天的火点信息
     * @param
     * @return
     */
    List<FirePointEntity> selectTodayFirePoint();

    /**
     * 动态多条件查询火点信息
     * @param cityCode
     * @param satelliteType
     * @param landType
     * @param startTime
     * @param endTime
     * @return
     */
    List<FirePointEntity> selectFirePoint(String cityCode,String satelliteType,String landType,String startTime,String endTime);

    /**
     * 根据火点编码修改火点的状态（预警）
     * @param fireCode
     * @param fireType
     * @param token
     * @return
     */
    String updateTypeByFireCode(String fireCode,String fireType,String token);
}
